// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
//==================================================================================================
static DWORD _ThreadSettingsPointerTLS_, _UseThreadSettingsCloneTLS_;
//==================================================================================================
static void Fail_NotInitialized($O);
static bool AcceptSettings($A,$PThreadSettings pThreadSettings,$DynText& errorMessage $out);
static bool InitializeThreading( $ThreadSettings& threadSettings,
                                 PCWSTR& staticMessage $out $persistent_ptr ) $last_system_error;
static void FinalizeThreading();
static void FinalizeThread($O) $thread_static;
static void DoCleanup() $fatal_error_on_failure;
static $PCThreadSettings SettingsPointerTS() $strict_result;
static $PCThreadSettings GetSettingsPointerTS();
static UINT __stdcall ThreadOuterRoutine(PVOID pStartData);
//--------------------------------------------------------------------------------------------------
static bool InitializeThread($OA, $PThreadSettings pThreadSettings $persistent_ptr,
                                  bool createThreadSettingsClone,
                                  bool leaveLEInitializedOnFailure,
                                  $DynText& errorMessage $out ) $thread_static;
static bool ApplyCRTLocaleStrings( const $CRTLocaleStrings& crtLocaleStrings,
                                   PCWSTR* pCRTLocaleFailureMessageFmt $required,
                                   PCWSTR* pFailedCRTLocaleCategoryStr $required );
//==================================================================================================
friend class $RT;
//==================================================================================================
